Subject: bug#49811: Empty store items

From: "Leo Famulari" <[email-masked]>
Date: Sun, 01 Aug 2021 17:00:49 -0400

Thanks for the report. I'm forwarding it to the bug tracker.

On Sun, Aug 1, 2021, at 16:09, Thorsten Wilms wrote:
> Hi!
> 
> I wanted to try use lv2ls and lv2info, both belonging to lilv and found
> the commands to do nothing, have no man page and no --help. Then I
> tried to start Ardour, but it fails with:
> 
> ```
> WARNING: Could not check your glib-2.0 for mutex locking atomic
> operations.
> 
> /gnu/store/yxivqfaqiaihycfpzrk5pil6p4x5s4j2-ardour-6.6/lib/ardour6/ardour-6.6.0:
> error while loading shared
> libraries: 
> /gnu/store/5q75cw8lnw4kfg9nss5vwkx8pxakk96l-lilv-0.24.10/lib/liblilv-0.so.
> 0: file too short
> ```
> 
> That store item has size zero, indeed.
> 
> I tried:
> 
> ```
> $: sudo guix build --repair lilv
> path `/gnu/store/5q75cw8lnw4kfg9nss5vwkx8pxakk96l-lilv-0.24.10' is
> corrupted or missing!
> substituting /gnu/store/5q75cw8lnw4kfg9nss5vwkx8pxakk96l-lilv-0.24.10...
> downloading from
> https://ci.guix.gnu.org/nar/lzip/5q75cw8lnw4kfg9nss5vwkx8pxakk96l-lilv-0.24.10 ...
> lilv-0.24.10
> 73KiB
> 1.3MiB/s 00:00 [##################] 100.0% path
> `/gnu/store/4cvazxmvkh29l83qk50wy3yb7whpq9md-sord-0.16.8' is corrupted
> or missing! found corrupted or missing path
> `/gnu/store/4cvazxmvkh29l83qk50wy3yb7whpq9md-sord-0.16.8' in the output
> closure of
> `/gnu/store/0l7pb0nf8fpp7ddv576ighprnz29lgjd-lilv-0.24.10.drv' path
> `/gnu/store/bzn76d1mf3bnrac3z5w829fywz4njwa5-sratom-0.6.6' is corrupted
> or missing! found corrupted or missing path
> `/gnu/store/bzn76d1mf3bnrac3z5w829fywz4njwa5-sratom-0.6.6' in the
> output closure of
> `/gnu/store/0l7pb0nf8fpp7ddv576ighprnz29lgjd-lilv-0.24.10.drv' path
> `/gnu/store/wx0hlikzcz1x1m84qn1s0z10v9b4kz1q-serd-0.30.8' is corrupted
> or missing! found corrupted or missing path
> `/gnu/store/wx0hlikzcz1x1m84qn1s0z10v9b4kz1q-serd-0.30.8' in the output
> closure of
> `/gnu/store/0l7pb0nf8fpp7ddv576ighprnz29lgjd-lilv-0.24.10.drv'
> substituting /gnu/store/wx0hlikzcz1x1m84qn1s0z10v9b4kz1q-serd-0.30.8...
> downloading from
> https://ci.guix.gnu.org/nar/lzip/wx0hlikzcz1x1m84qn1s0z10v9b4kz1q-serd-0.30.8 ...
> serd-0.30.8
> 55KiB
> 1.4MiB/s 00:00 [##################] 100.0%
> substituting /gnu/store/4cvazxmvkh29l83qk50wy3yb7whpq9md-sord-0.16.8...
> downloading from
> https://ci.guix.gnu.org/nar/lzip/4cvazxmvkh29l83qk50wy3yb7whpq9md-sord-0.16.8 ...
> sord-0.16.8
> 35KiB
> 2.1MiB/s 00:00 [##################] 100.0%
> substituting /gnu/store/bzn76d1mf3bnrac3z5w829fywz4njwa5-sratom-0.6.6...
> downloading from
> https://ci.guix.gnu.org/nar/lzip/bzn76d1mf3bnrac3z5w829fywz4njwa5-sratom-0.6.6 ...
> sratom-0.6.6
> 15KiB
> 2.0MiB/s 00:00 [##################]
> 100.0% /gnu/store/5q75cw8lnw4kfg9nss5vwkx8pxakk96l-lilv-0.24.10
> ```
> 
> But the problem persists. All actual lilv store items remain empty.
> 
> 
> gc --verify thinks the store is in order, so there’s nothing to repair:
> 
> ```
> sudo guix gc --verify=repair
> reading the store...
> checking path existence...
> ```
> 
> There are 7694 empty items, even after `guix package
> --delete-generations; guix gc --collect-garbage`:
> 
> ```
> $: /gnu/store: find -empty | wc -l
> 7694
> ```
> 
> I had trouble with fs corruption before, but this always meant being
> thrown into the initramfs prompt for a round of fsck. Didn’t happen
> this time, and fsck did not find any issues now.
> 
> There is 39G free disk space and inode use is at 18%.
> 
> Any ideas?
> 
> -- 
> Thorsten Wilms <[email-masked]>
> 
>